Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups
Class SuspectEvent

    java.lang.Object
      org.jgroups.SuspectEvent

    public class SuspectEvent

extends java.lang.Object

Represents a suspect event. Gives access to the suspected member.

Constructor Summary
`SuspectEvent(java.lang.Object suspected_mbr)`

Method Summary
`java.lang.Object` | `getMember()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SuspectEvent

    public SuspectEvent(java.lang.Object suspected_mbr)

Method Detail

### getMember

    public java.lang.Object getMember()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.